Update price
curl --request PUT \
--url https://api.service.getjusto.com/v3/menu/prices/{priceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"_id": "<string>",
"name": "<string>",
"priority": 123,
"storesIds": [
"<string>"
],
"channels": [
"<string>"
],
"daysBefore": 123,
"schedule": {},
"externalId": "<string>",
"metadata": {}
}
'import requests
url = "https://api.service.getjusto.com/v3/menu/prices/{priceId}"
payload = {
"_id": "<string>",
"name": "<string>",
"priority": 123,
"storesIds": ["<string>"],
"channels": ["<string>"],
"daysBefore": 123,
"schedule": {},
"externalId": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '<string>',
name: '<string>',
priority: 123,
storesIds: ['<string>'],
channels: ['<string>'],
daysBefore: 123,
schedule: {},
externalId: '<string>',
metadata: {}
})
};
fetch('https://api.service.getjusto.com/v3/menu/prices/{priceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"name": "<string>",
"priority": 123,
"storesIds": [
"<string>"
],
"channels": [
"<string>"
],
"daysBefore": 123,
"schedule": {},
"externalId": "<string>",
"metadata": {}
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Catálogo
Update price
PUT
/
menu
/
prices
/
{priceId}
Update price
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID Justo o ID externo del precio.
Body
application/json
Precio/menú interno de Justo.
ID Justo del precio.
Nombre del precio.
Prioridad de aplicación.
Locales asociados.
Canales asociados.
Días de anticipación permitidos.
Horario de disponibilidad del precio.
ID externo configurado por la marca.
Metadata del item escrita por API v3.
⌘I